Subject: bug#74208: 31.0.50; minibuffer read-file-name-default mutates global value of default-directory incorrectly

From: Madhu <[email-masked]>
Date: Mon, 09 Dec 2024 05:12:40 +0530 (IST)

*  Michael Albinus <[email-masked]> <[email-masked]>
Wrote on Sun, 08 Dec 2024 18:28:54 +0100
>> This looks like the right solution to the problem but perhaps use "~"
>> instead of /tmp in line with what the other code does. Thanks
>
> No, it isn't guaranteed that the directory "~/" does exist, it depends
> on the external environment Emacs is called from. And likely, we would
> need to use (expand-file-name "~/"), which might be problematic when the
> default directory is a URL.

> Btw, I don't see any other use of "~/" in ffap.el. What do you mean with
> "what the other code does"?

I meant the defaulting use in the call to get_current_directory in
callproc.c

> I didn't follow closely the bug discussion. Is there something left to
> be done, before closing?

Speaking for myself: no. I'm a bit dissapointed that the setq doesn't
get fixed, but I think the main problem has been addressed.